slice2java(1)

NAME
slice2freezej - Generates Freeze map and index classes in Java.

SYNOPSIS
slice2freezej [options] [files]

DESCRIPTION
slice2java generates Freeze map and index classes in Java. Full documentation for slice2freezej is available online at:
https://doc.zeroc.com/ice/3.6/ice-services/freeze/freeze-maps/slice2freezej-command-line-options

OPTIONS

-h, --help
    Displays a help message.

-v, --version
    Displays the compiler version.

-DNAME
    Defines the preprocessor symbol NAME.

-DNAME=DEF
    Defines the preprocessor symbol NAME with the value DEF.

-UNAME
    Undefines the preprocessor symbol NAME.

-IDIR
    Add the directory DIR to the search path for #include directives.

-E
    Print the preprocessor output on stdout.

--output-dir DIR
    Place the generated files into directory DIR.

-d, --debug
    Print debug information showing the operation of the Slice parser.

--ice
    Permit use of the normally reserved prefix Ice for identifiers. Use this option only when compiling the source code for the Ice run time.

--underscore
    Permit use of underscores in Slice identifiers.

--dict NAME,KEY,VALUE
    Generate a Freeze map class named NAME using KEY as key and VALUE as value. This option may be specified multiple times to generate several Freeze maps. NAME may be a scoped Java name, such as Demo.Struct1ObjectMap. KEY and VALUE represent Slice types and therefore must use Slice syntax, such as bool or Ice::Identity.

--dict-index MAP[,MEMBER][,case-sensitive|case-insensitive]
    Add an index to the Freeze map named MAP. If MEMBER is specified, the map value type must be a structure or a class, and MEMBER must be the name of a member of that type. If MEMBER is not specified, the entire value is indexed. When the indexed member (or entire value) is a string, the index can be case-sensitive (default) or case-insensitive.

--index CLASS,TYPE,MEMBER[,case-sensitive|case-insensitive]
    Generate an index class for a Freeze evictor. CLASS is the name of the index class to be generated. TYPE denotes the type of class to be indexed (objects of different classes are not included in this index). MEMBER is the name of the data member in TYPE to index. When MEMBER has type string, it is possible to specify whether the index is case-sensitive or not. The default is case-sensitive.

--meta META
    Define the global metadata directive META. Using this option is equivalent to defining the global metadata META in each named Slice file, as well as in any file included by a named Slice file. Global metadata specified with --meta overrides any corresponding global metadata directive in the files being compiled.

SEE ALSO
slice2cpp(1), slice2cs(1), slice2freeze(1), slice2html(1), slice2java(1), slice2php(1), slice2py(1), slice2rb(1)